Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

Mozilla says "Your system doesn't meet the requirements to run Firefox" but when I check the requirements, my system meets all.

  • 1 baphendule
  • 6 zinale nkinga
  • 23 views
  • Igcine ukuphendulwa ngu philipp

more options

I'm using windows 7 on my hp laptop. When I try updating i get a message saying I need to have at least windows XP. Is there something else blocking my update? I've tried both updating an downloading the latest version. My current firefox is 13.0.1

Isisombululo esikhethiwe

hi, please right-click the firefox icon on the desktop, go to properties > compatibility and make sure that firefox isn't set to run in compatibility mode (atm your useragent reports that you are running windows 2000). afterwards it should be possible to update.

since your profile also show signs of unwanted software on your system, please run a full scan of your system with different security tools like the free version of malwarebytes & adwcleaner, which are specialised in adware and browser hijackers. Troubleshoot Firefox issues caused by malware

Funda le mpendulo ngokuhambisana nalesi sihloko 👍 2

All Replies (1)

more options

Isisombululo Esikhethiwe

hi, please right-click the firefox icon on the desktop, go to properties > compatibility and make sure that firefox isn't set to run in compatibility mode (atm your useragent reports that you are running windows 2000). afterwards it should be possible to update.

since your profile also show signs of unwanted software on your system, please run a full scan of your system with different security tools like the free version of malwarebytes & adwcleaner, which are specialised in adware and browser hijackers. Troubleshoot Firefox issues caused by malware